Magento Installation - PHP Extensions "pdo_mysql" must be loaded.

cjhami

Registered
Mar 13, 2013
4
0
1
cPanel Access Level
Website Owner
Hi,

I've been trying to install Magento using cPanel. On the configuration page I get the error, "PHP Extensions "pdo_mysql" must be loaded'. I've looked high and low for the php.ini file in cpanel so I can enable the extension. But I can not find it anywhere. Any help would be great.

Thanks
 

quietFinn

Well-Known Member
Feb 4, 2006
1,066
31
178
Finland
cPanel Access Level
Root Administrator
Hi,

I've been trying to install Magento using cPanel. On the configuration page I get the error, "PHP Extensions "pdo_mysql" must be loaded'. I've looked high and low for the php.ini file in cpanel so I can enable the extension. But I can not find it anywhere. Any help would be great.

Thanks
You must recompile Apache with PDO MySQL support.

Go to WHM-> Software-> EasyApache (Apache Update)
In the "Exhaustive Options List" you find "PDO MySQL"

EDIT:
Noticed you are "Website owner", i.e. you don't have root WHM access, in that case you must ask your provider to do that.
 
Last edited:

cjhami

Registered
Mar 13, 2013
4
0
1
cPanel Access Level
Website Owner
Re: Magento Installation - PHP Extensions "pdo_mysql" must be loaded.

Thanks, I'll get onto them ASAP

- - - Updated - - -

Thanks, I'll get onto them ASAP